summaryrefslogtreecommitdiffstats
path: root/extra/quagga/ospfd.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-02-19 12:41:00 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-19 12:41:00 +0000
commit70a0197eae565fd71db2592a66f7b6f4abcb34e8 (patch)
tree826175695b4be139e4c4d5abf6337ea6ad8ce1ba /extra/quagga/ospfd.initd
parentce6f3d73f192aea7f12243f16da92e0029ee6079 (diff)
extra/quagga: new aport
A free routing daemon replacing Zebra supporting RIP, OSPF and BGP http://quagga.net/
Diffstat (limited to 'extra/quagga/ospfd.initd')
-rw-r--r--extra/quagga/ospfd.initd33
1 files changed, 33 insertions, 0 deletions
diff --git a/extra/quagga/ospfd.initd b/extra/quagga/ospfd.initd
new file mode 100644
index 00000000000..f67ca2c154a
--- /dev/null
+++ b/extra/quagga/ospfd.initd
@@ -0,0 +1,33 @@
+#!/sbin/runscript
+# Copyright 1999-2003 DataCore GmbH, Amir Guindehi
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Header: /var/cvsroot/gentoo-x86/net-misc/quagga/files/ospfd.init,v 1.1 2005/09/14 11:11:08 mrness Exp $
+
+depend() {
+ need net zebra
+}
+
+checkconfig() {
+ if [ ! -e /etc/quagga/ospfd.conf ] ; then
+ eerror "You need to create /etc/quagga/ospfd.conf first."
+ eerror "An example can be found in /etc/quagga/samples/ospfd.conf.sample"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting ospfd"
+ start-stop-daemon --start --quiet --exec /usr/sbin/ospfd \
+ -- -d -f /etc/quagga/ospfd.conf \
+ --pid_file /var/run/quagga/ospfd.pid
+ result=$?
+ eend $result
+}
+
+stop() {
+ ebegin "Stopping ospfd"
+ start-stop-daemon --stop --quiet --pidfile /var/run/quagga/ospfd.pid
+ result=$?
+ eend $result
+}